#include<bits/stdc++.h>
using namespace std;
struct led{
    int s1, s2, hod;
};
int main(){
    int n, m;
    cin>>n>>m;
    vector<led>a(m);
    for(int i=0; i<m; i++){
        cin>>a[i].s1>>a[i].s2>>a[i].hod;
    }
    cout<<1;
}